Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.io.amf3
Class Input.PendingObject

    java.lang.Object
      org.red5.io.amf3.Input.PendingObject

Enclosing class:
  Input

    protected static class Input.PendingObject

extends Object

Dummy class that is stored as reference for objects currently being deserialized that reference themselves.

Constructor Summary
`protected` | `Input.PendingObject()`

Method Summary
`void` | `addPendingProperty(Object obj, Class<?> klass, String name)`
`void` | `resolveProperties(Object result)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Input.PendingObject

    protected Input.PendingObject()

Method Detail

### addPendingProperty

    public void addPendingProperty(Object obj,
                                   Class<?> klass,
                                   String name)

### resolveProperties

    public void resolveProperties(Object result)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project